﻿init:
    # Here is where you tell renpy what images are inside renpy.
    # This is also place where you put anything you wanted to
    # run at the start of renpy.
    
    # The Background images used in the game 
    image street_morning = "graphics/background_street_morning.jpg"
    image street_evening = "graphics/background_street_evening.jpg"

    # This two images is very important to make smooth dissolve from main menu to game
    # since renpy had this default behaviour of fading everytime you enter a game no matter
    # what transition you declared.
    image main_menu_buffer = "graphics/imagemap_main_menu_transition_buffer.jpg"
    image main_menu_unlocked_buffer = "graphics/imagemap_main_menu_unlocked_transition_buffer.jpg"
    
    # same this with the previous two images declared. This image will ensure a proper dissolve
    # transition from the main menu to the extras.
    image extras_unlocked_buffer = "graphics/imagemap_extra_unlocked_transition_buffer.jpg"
    
    image credit = "graphics/credit.jpg"
    
    $ mugen = Character(' ',color="#ffffff",window_left_padding=302,window_top_padding=-5,show_side_image=Image("side_image/uncle_mugen_smile.png", xalign=0.0, yalign=1.0), )

    $ lucy_01 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_surprized.png", xalign=0.0, yalign=1.0), )
    $ lucy_02 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_happy.png", xalign=0.0, yalign=1.0), )
    $ lucy_03 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_smile.png", xalign=0.0, yalign=1.0), )
    $ lucy_04 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_blank.png", xalign=0.0, yalign=1.0), )
    $ lucy_05 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_sad.png", xalign=0.0, yalign=1.0), )
    $ lucy_06 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_pout.png", xalign=0.0, yalign=1.0), )
    
    $ lucy_casual_01 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_casual_smile.png", xalign=0.0, yalign=1.0), )
    $ lucy_casual_02 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_casual_shocked.png", xalign=0.0, yalign=1.0), )
    $ lucy_casual_03 = Character(' ',color="#ffffff",window_left_padding=288,window_top_padding=-5,show_side_image=Image("side_image/lucy_casual_very_happy.png", xalign=0.0, yalign=1.0), )
    
    
    
    
label splashscreen:
    
    return
    # The game starts here.

label start:
    # This will give your save name a name so you can see the name in your save and load file
    $ save_name = "Nothing to see here... "
    
    # To prevent game from Rolling back
    # into Main Menu
    $ renpy.block_rollback()
    
    if persistent.extra_unlocked:
        
        # Tells renpy to play the file "sunshine_a.mp3"
        # located inside the music folder
        play music "music/sunshine_a.mp3"

        scene main_menu_unlocked_buffer
        #scene para with dissolve
        scene street_morning with dissolve
        
        #Show the in-game text dialogue box
        # with transition dissolve
        window show dissolve

        mugen "Psst!... {w}Lucy!..."
        mugen "The camera is already rolling..."
        lucy_01 "AHH!!!"
        lucy_02 "Hi!... {w}I'm Lucy and I can clearly see you already have unlocked the Extra's section."
        lucy_03 "And I can safely say you already know that this is a demo of an Imagemap Based GUI for Ren'py."
        lucy_04 "So uh where were we?... {w}Oh yeah..."
        lucy_03 "An Imagemap is basically a combination of two or more images..."
        lucy_03 "To form one dynamic image that has clickable hotspots."
        lucy_03 "While it's slower and takes up much more system resources than the usual method of making GUI for your Ren'py VN's..."
        lucy_03 "For the artistically inclined it means all he has to do is to create the desired layout in their favorite image processing programs."
        lucy_04 "And then simply map out the desired hotspot which will serve as buttons that will provide uh... {w}what was it again?"
        mugen "Functionality."
        lucy_04 "...Oh yeah"
        lucy_02 "Which will serve as buttons that will provide functionality to the VN."
        mugen "...Lucy"
        lucy_05"...What?"
        mugen "You... don't seem very focused today... {w}what's going on?"
        lucy_05 "I was just thinking about something..."
        mugen "And that would be?..."
        lucy_06 "When will I get the chance to star in my own VN?"
        lucy_06 "I mean, even you already appeared in your own VN, even made several cameo's here and there..."
        mugen "You will get your chance someday..."
        mugen "For now, let's just be grateful that we still get some exposure as side-characters."
        mugen "Besides... depending on who you ask..."
        mugen "We side characters are equally important as the main-character"
        mugen "I hate to admit but we side-characters provide the necessary contrast to make the main character shine."
        mugen "It may not be as glamorous but it's still a decent and honest job where we make people happy in who knows what ways."
        mugen "So please have some pride in being a side-character and look forward with a smile... "
        mugen "We still are pretty much an important part of the whole story."
        mugen "Oh and... {w}Lucy... The camera is still rolling..."
        lucy_01 "AHH!!!"
        lucy_02 "Anyway... thank you for staying with us even for a short while."
        lucy_03 "You might want to check the script for this demo to see how the imagemap based Ren'Py GUI works."
        lucy_02 "We look forward to what you can create using screen based imagemap."

        # Hide the in-game text dialogue box
        # with transition dissolve
        window hide dissolve
        
        scene credit with dissolve
        $ renpy.pause( )
        
        # Stops the BG music with 1 second fade out
        stop music fadeout 2.0
        
        $ renpy.full_restart()
        
    else:
        
        # Tells renpy to play the file "sunshine_a.mp3"
        # located inside the music folder
        play music "music/sunshine_a.mp3"
        
        scene main_menu_buffer

        scene street_morning with dissolve
        
        # Show the in-game text dialogue box
        # with transition dissolve
        window show dissolve
        
        lucy_02 "Hi!... {w}I'm Lucy and you are now viewing a demo of an Imagemap Based GUI for Ren'py."
        lucy_04 "So uh... "
        lucy_03 "An Imagemap is basically a combination of two or more images..."
        lucy_03 "To form one dynamic image that has clickable hotspots."
        lucy_03 "While it's slower and takes up much more system resources than the usual method of making GUI for your Ren'py VN's..."
        lucy_03 "For the artistically inclined it means all he has to do is to create the desired layout in their favorite image processing programs."
        lucy_03 "And then simply map out the desired hotspot which will serve as buttons that will provide functionality to the VN."
        lucy_04 "...Uh, that's it?"
        mugen "Yep..."
        lucy_03 "You might want to check the script for this demo to see how the imagemap based Ren'Py GUI works."
        lucy_03 "We look forward to what you can create using screen based imagemap."
        lucy_03 "Anyway, now that you have reached this point... might as well reward you by unlocking the Extra's section."
        lucy_02 "Please go check it out."
        
        # Hide the in-game text dialogue box
        # with transition dissolve
        window hide dissolve

        $ persistent.extra_unlocked = True
        
        scene credit with dissolve
        $ renpy.pause( )
        
        # Stops the BG music with 1 second fade out
        stop music fadeout 2.0
        
        $ renpy.full_restart()

label extras:
    
    # Tells renpy to play the file "poofy_reel.mp3"
    # located inside the music folder
    play music "music/poofy_reel.mp3"
    
    scene extras_unlocked_buffer
    
    scene street_evening with dissolve
    
    # Show the in-game text dialogue box
    # with transition dissolve
    window show dissolve
    
    $ save_name = "If you see this... then there's something wrong with your project... Lol!..."
    
    # To prevent right clicking and opening the save/load screen]
    # While inside the Extra's screen
    $ _game_menu_screen = None 
    
    # To prevent game from Rolling back
    # into Main Menu
    $ renpy.block_rollback()
    
    lucy_casual_01 "Welcome to the extra's section which contains... {p}nothing"
    lucy_casual_02 "W... What happened?... {w}Where's the content?"
    mugen "You do know that this is just a GUI demo to demonstrate Imagemap based GUI..."
    mugen "Of course there won't be anything in here..."
    lucy_casual_03 "Anyway, this is the unlockable extra's section where you can do anything you wanted with it."
    lucy_casual_03 "You can put image galleries, and music jukebox or a sprite viewer..."
    lucy_casual_03 "Even perhaps some unlockables whenever a player reaches a milestone or something."
    lucy_casual_03 "Same thing, you might want to check the script for this demo to see how the imagemap based Ren'Py GUI works."
    lucy_casual_03 "We look forward to what you can create using screen based imagemap."
    
    # To re-enable right clicking
    $ _game_menu_screen = "save_screen"
    
    # Hide the in-game text dialogue box
    # with transition dissolve
    window hide dissolve
    
    # Stops the BG music with 1 second fade out
    stop music fadeout 2.0
    
    return
